@import url('https://fonts.googleapis.com/css?family=Raleway:300,400,700,800');

/*
font-family: 'Raleway', sans-serif;
*/

* {
    box-sizing: border-box;
    margin: 0;
}

#mobile_nav {
    display: none;
}

.active {
    font-weight: 700;
    transition: all 0.5s ease-in-out;
}

nav {
    background-color: black;
    text-align: center;
    position: fixed;
    padding: 1em 10%;
    top: 0;
    width: 100%;
    z-index: 1000;

}

nav a {
    color: white;
    font-family: 'Raleway', sans-serif;
    font-size: 1.5em;
    font-weight: 300;
    padding: 6.5%;
    text-decoration: none;
}

nav a:hover {
    font-weight: 700;
    transition: all 0.5s ease-in-out;
}

.content {
    font-size: 1.3em;
}

.page_start {
    text-align: center;
    background-image: url(../img/background_imgs/Header.jpg);
    background-size: cover;
    background-repeat: no-repeat;

}

.logo {
    width: 40%;
    height: auto;
    margin: 12% 0 2% 0;
}

.subtitle {
    color: white;
    font-family: 'Raleway', sans-serif;
    padding-bottom: 9%;
    font-size: 1.5em;
}

.pipe {
    margin: 0 0.2em;
}

section {
    text-align: center;
    padding-top: 8em;
    padding-bottom: 5em;
}

.fig_about {
    width: 30%;
    display: inline-block;
    text-align: left;
    vertical-align: middle;
}

.about {
    display: inline-block;
    width: 40%;
    vertical-align: middle;
    margin-left: 1%
}

h2 {
    font-family: 'Raleway', sans-serif;
    font-weight: 700;
    font-size: 1.2em;
}

h1 {
    font-family: 'Raleway', sans-serif;
    font-weight: 300;
    text-align: center;
    font-size: 1.5em;
    margin-bottom: 2em;

}

.underline {
    padding-bottom: 0.2em;
    border-bottom: 1px solid black;
}

p {
    font-family: 'Raleway', sans-serif;
    font-weight: 300;
    line-height: 1.4em;
}

a {
    color: #982f00;
    text-decoration-color: #982f00;
}

.bg_design_top {
    position: absolute;
    right: 0;
    margin-top: -28%;
    width: 20%;

}

.bg_design_bot {
    position: absolute;
    left: 0;
    margin-top: -25%;
    width: 20%;


}

.gallery {
    margin-top: 2em;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
}

.gallery .col {
    width: 30%;
}

.col figure {
    opacity: 0.6;
    -webkit-filter: grayscale(1);
    filter: grayscale(1);
    transition: all 0.4s ease-in-out;
}

.col figure:hover {
    -webkit-filter: grayscale(0);
    filter: grayscale(0);
    opacity: 1;
}

figure {
    margin: 1em;
}

.about {
    text-align: left;
}

#music .content {
    margin-right: 20%;
    margin-left: 20%;
}

.cover {
    position: relative;
    width: 25%;
}

.gallery .figcaption_cover {
    display: flex;
    flex-wrap: wrap;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    position: absolute;
    top: 0;
    width: 85%;
    height: 85%;
    margin: 7.5%;
    color: white;
    border: solid white 1px;
    box-sizing: border-box;
    /* opacity: 0; */
    transition: all 0.5s ease-in-out;
}

.gallery figure:hover .figcaption_cover {
    border: solid #982f00 1px;
}

h3 {
    /* display: flex;
    justify-content: center;
    align-items: center;
    color: white;*/
    font-weight: 800;
    /*height: 80%;
    width: 80%;
    border: solid white 1px;*/
}

.play {
    display: block;
    width: 0;
    height: 0;
    /* background-color: red; */
    margin-left: 4.5%;
    margin-top: 0.5em;

    cursor: pointer;
    background-image: url(../img/Icons/play.svg);
    background-repeat: no-repeat;
    background-size: contain;
    transition: all 0.5s ease-in-out;

}

.gallery figure:hover .play,
.play.current {
    width: 15%;
    height: 1.5em;
    padding-top: 15%;
}

.play.current {
    background-image: url(../img/Icons/pause.svg);
}

img {
    width: 100%;
    height: auto;
    vertical-align: bottom;
}

#contact {
    padding-bottom: 0;
}

.section_contact {
    padding-top: 2em;
    text-align: center;
    background-image: url(../img/background_imgs/Footer.jpg);
    background-size: cover;
    background-repeat: no-repeat;
}

.section_contact h1 {
    color: white;


}

.underline_contact {
    padding-bottom: 0.2em;
    border-bottom: 1px solid white;
}

.fig_contact {
    margin-top: 5%;
}

.icons {
    width: 5%;
    display: block;
    margin-left: auto;
    margin-right: auto;
}

figcaption {
    color: white;
    font-family: 'Raleway', sans-serif;
    font-weight: 300;
    padding-bottom: 5%;
}

figcaption a {
    color: white;
    text-decoration: none;
}

footer {
    background-color: black;
    color: white;
    padding: 0.5em;
    0;
    text-align: right;
    font-family: 'Raleway', sans-serif;
    font-size: 0.8em;
}


/*Hamburger Menu für Mobile Devices*/

.touch #desktop_nav {
    display: none;
}

.touch #mobile_nav {
    display: block;
}

.touch .gallery figure .figcaption_cover {
    border: solid #982f00 1px;
}

.touch .col figure {
    -webkit-filter: grayscale(0);
    filter: grayscale(0);
    opacity: 1;
}

.touch .gallery figure .play,
.play.current {
    width: 15%;
    height: 1.5em;
    padding-top: 15%;
}

/*
 * Made by Erik Terwan
 * 24th of November 2015
 * MIT License
 *
 *
 * If you are thinking of using this in
 * production code, beware of the browser
 * prefixes.
 */

.touch body {
    margin: 0;
    padding: 0;


}

.touch nav {
    padding: 0;
}

.touch nav a {
    text-decoration: none;
    color: white;
}

.touch #menuToggle {
    display: block;
    position: relative;
    top: 50px;
    left: 50px;

    z-index: 1;

    -webkit-user-select: none;
    user-select: none;
}

.touch #menuToggle input {
    display: block;
    width: 40px;
    height: 32px;
    position: absolute;
    top: -7px;
    left: -5px;

    cursor: pointer;

    opacity: 0;
    /* hide this */
    z-index: 2;
    /* and place it over the hamburger */
    -webkit-touch-callout: none;
}

/*
 * Just a quick hamburger
 */

.touch #menuToggle span {
    display: block;
    width: 33px;
    height: 4px;
    margin-bottom: 5px;
    position: relative;

    background: #cdcdcd;
    border-radius: 3px;

    z-index: 1;

    transform-origin: 4px 0px;

    transition: transform 0.5s cubic-bezier(0.77, 0.2, 0.05, 1.0),
    background 0.5s cubic-bezier(0.77, 0.2, 0.05, 1.0),
    opacity 0.55s ease;
}

.touch #menuToggle span:first-child {
    transform-origin: 0% 0%;
}

.touch #menuToggle span:nth-last-child(2) {
    transform-origin: 0% 100%;
}

/* 
 * Transform all the slices of hamburger
 * into a crossmark.
 */

.touch #menuToggle input:checked ~ span {
    opacity: 1;
    transform: rotate(45deg) translate(-2px, -1px);
    background: white;
}

/*
 * But let's hide the middle one.
 */

.touch #menuToggle input:checked ~ span:nth-last-child(3) {
    opacity: 0;
    transform: rotate(0deg) scale(0.2, 0.2);
}

/*
 * Ohyeah and the last one should go the other direction
 */

.touch #menuToggle input:checked ~ span:nth-last-child(2) {
    transform: rotate(-45deg) translate(0, -1px);
}

/*
 * Make this absolute positioned
 * at the top left of the screen
 */

.touch #menu {
    position: absolute;
    width: 300px;
    margin: -100px 0 0 -50px;
    padding: 50px;
    padding-top: 125px;

    background: black;
    list-style-type: none;
    -webkit-font-smoothing: antialiased;
    /* to stop flickering of text in safari */
    transform-origin: 0% 0%;
    transform: translate(-100%, 0);

    transition: transform 0.5s cubic-bezier(0.77, 0.2, 0.05, 1.0);
}

.touch #menu li {
    padding: 10px 0;
    font-size: 22px;
}

/*
 * And let's slide it in from the left
 */

.touch #menuToggle input:checked ~ ul {
    transform: none;
}

@media screen and (max-width: 1150px) {
    .content {
        font-size: 1em;
    }

    #music .content {
        margin-right: 10%;
        margin-left: 10%;
    }

    .gallery .col {
        width: 35%;
    }
}

@media screen and (max-width:1090px) {
    nav {
        padding: 1em 5%;
    }

    figcaption a {
        padding: 0;
    }

    .subtitle {
        font-size: 1.2em;
    }
}

@media screen and (max-width:970px) {

    nav a {
        font-size: 1.4em;
        padding: 5%;
    }

    .subtitle {
        font-size: 1em;
    }

    .icons {
        width: 6.5%;
        display: block;
        margin-left: auto;
        margin-right: auto;
    }
}

@media screen and (max-width:800px) {
    nav a {
        font-size: 1.2em;
        padding: 5%;
    }

    .logo {
        width: 50%;
        height: auto;
        margin: 12% 0 2% 0;
    }

    .fig_about {
        width: 70%;
        display: block;
        margin-left: auto;
        margin-right: auto;
        vertical-align: middle;
    }

    .about {
        margin-top: 2em;
        display: block;
        width: 70%;
        margin-right: auto;
        margin-left: auto;
    }

    section {
        text-align: center;
        padding-top: 3em;
        padding-bottom: 2em;
    }

    .icons {
        width: 8%;
        display: block;
        margin-left: auto;
        margin-right: auto;
    }

    .bg_design_top {
        display: none;

    }

    .bg_design_bot {
        display: none;

    }

    .gallery .col {
        width: 40%;
    }

    #music .content {
        margin-right: 5%;
        margin-left: 5%;
    }

}

@media screen and (max-width:630px) {
    .logo {
        width: 55%;
        height: auto;
        margin: 12% 0 2% 0;
    }

    .gallery .col {
        width: 70%;
    }

    .cover {
        width: 40%;
    }

    .icons {
        width: 10%;
        display: block;
        margin-left: auto;
        margin-right: auto;

    }
}

@media screen and (max-width:550px) {

    .logo {
        width: 65%;
        height: auto;
        margin: 12% 0 2% 0;
    }

    .gallery .col {
        width: 80%;
    }

    .cover {
        width: 75%;

    }

    .icons {
        width: 13.5%;
        display: block;
        margin-left: auto;
        margin-right: auto;
    }

    .touch #menu {
        width: 100%;
    }
}
